Subject: bug#1542: link emacs functions in Info

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Sep 2019 10:56:07 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 30 Sep 2019 09:23:17 +0200
> Cc: [email-masked]
> 
> [email-masked] writes:
> 
> > I was reading e.g., (info "(gnus)RSS"):
> > `nnrss-use-local'
> >      If you set `nnrss-use-local' to `t', `nnrss' will read the feeds
> >      from local files in `nnrss-directory'.  You can use the command
> >      `nnrss-generate-download-script' to generate a download script
> >      using `wget'.
> >
> > And to learn more about nnrss-generate-download-script, I have to
> > place the cursor on it, and do C-h f.
> >
> > I wish I could just TAB to it and hit RET.
> >
> > Or maybe that would be a special case of using emacs when reading
> > about emacs.
> 
> I think that would be a bit surprising for TAB and RET to work like that
> in Info buffers -- it'd take you out if Info mode, which is usually not
> what we want.

A good Info manual should have a cross-reference right after the name
of the function/variable, unless they are described in the same node.

So yes, going to the *Help* buffer from there would be wrong.